import { VuexModule } from "vuex-module-decorators";
import { Category, CategoryGroup, CategoryGroupCounting } from "../types/Category";
import { Manager } from "../../../types/Manager";
export declare class CategoryModule extends VuexModule {
    categories: Category[];
    counting: CategoryGroupCounting | null;
    currentGroup: CategoryGroup;
    isInitialisedWebsocket: boolean;
    get totalCount(): number;
    get getCountTaskForCategory(): (group: CategoryGroup, categoryId: number) => number;
    setInitializeWebsocket(): void;
    get getCountTasksForGroup(): (group: CategoryGroup) => number;
    get getGroupTitle(): (groupName: CategoryGroup) => string;
    get getCategoryById(): (categoryId: number) => Category | undefined;
    setCurrentGroup(group: CategoryGroup): void;
    setCategories(categories: Category[]): void;
    setCounting(counting: CategoryGroupCounting): void;
    loadCategories(): Promise<void>;
    loadCounting(): Promise<void>;
    initWebsocket(user: Manager): Promise<void>;
}
